package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import com.ruoyi.demo.entity.bo.StatisticsAddBo;
import lombok.Data;

import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;

@Data
@TableName("dl_statistics")
public class Statistics {
    @TableId(value = "statistics_id",type = IdType.ASSIGN_ID)
    private String statisticsId;

    @TableField("plan_id")
    private String planId;
    @TableField("plan_name")
    private String planName;

    @TableField("appkey")
    private String appkey;
    @TableField("equipment_id")
    private String equipmentId;
    @TableField("equipment_name")
    private String equipmentName;
    @TableField("equipment_code")
    private String equipmentCode;

    @TableField("addr_info")
    private String addrInfo;

    @TableField("goods_id")
    private String goodsId;
    @TableField("goods_name")
    private String goodsName;
    @TableField("deal_tool_count")
    private Integer dealToolCount;
    @TableField("deal_tool_price")
    private Float dealToolPrice;
    @TableField("user_id")
    private String userId;
    @TableField("user_name")
    private String userName;
    @TableField("user_telephone")
    private String userTelephone;
    @TableField("behavior")
    private Integer behavior;
    @TableField("time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime time;

    @TableField("deleted")
    private int deleted;

    public Statistics (StatisticsAddBo bo){
        this.planId = bo.getPlanId();
        this.planName = bo.getPlanName();
        this.appkey = bo.getAppkey();
        this.equipmentId = bo.getEquipmentId();
        this.equipmentCode = bo.getEquipmentCode();
        this.equipmentName = bo.getEquipmentName();
        this.addrInfo = bo.getAddrInfo();
        this.goodsId = bo.getGoodsId();
        this.goodsName = bo.getGoodsName();
        this.dealToolCount = bo.getDealToolCount();
        this.dealToolPrice = bo.getDealToolPrice();
        this.userId = bo.getUserId();
        this.userName = bo.getUserName();
        this.userTelephone = bo.getUserTelephone();
        this.behavior = bo.getBehavior();
        DateTimeFormatter dateTimeFormatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        dateTimeFormatter.withZone(ZoneId.of("Asia/Shanghai"));
        LocalDateTime parse = LocalDateTime.parse(bo.getTime(), dateTimeFormatter);
        this.time = parse;
    }
}
