package com.ruoyi.demo.entity.bo;

import com.ruoyi.common.core.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Data
public class OrderAddBo {
    @NotBlank(groups = {AddGroup.class},message = "订单编号不能为空")
    private String orderId;

    @NotBlank(groups = {AddGroup.class},message = "供应商Id不能为空")
    private String vendorId;
    @NotBlank(groups = {AddGroup.class},message = "供应商名称不能为空")
    private String vendorName;

    @NotBlank(groups = {AddGroup.class},message = "商品Id不能为空")
    private String goodsId;
    @NotBlank(groups = {AddGroup.class},message = "商品名称不能为空")
    private String goodsName;
    @NotBlank(groups = {AddGroup.class},message = "规格不能为空")
    private String specs;
    @NotNull(groups = {AddGroup.class},message = "商品价格不能为空")
    private Float goodsPrice;
    @NotNull(groups = {AddGroup.class},message = "订单总金额不能为空")
    private Float totalPrice;
    @NotBlank(groups = {AddGroup.class},message = "交易状态不能为空")
    private String state;
    @NotBlank(groups = {AddGroup.class},message = "客户Id不能为空")
    private String userId;
    @NotBlank(groups = {AddGroup.class},message = "客户姓名不能为空")
    private String userName;
    @NotBlank(groups = {AddGroup.class},message = "客户联系方式不能为空")
    private String userTelephone;
    @NotBlank(groups = {AddGroup.class},message = "商户Id不能为空")
    private String commercialId;
    @NotBlank(groups = {AddGroup.class},message = "商户名称不能为空")
    private String commercialName;
    @NotBlank(groups = {AddGroup.class},message = "appkey不能为空")
    private String appkey;
    @NotBlank(groups = {AddGroup.class},message = "小程序名称不能为空")
    private String appName;
    @NotNull(groups = {AddGroup.class},message = "订单成交时间不能为空")
    private String createTime;
    @NotBlank(groups = {AddGroup.class},message = "签名不能为空")
    private String sign;
}
